> For the complete documentation index, see [llms.txt](https://docs.rewst.help/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.rewst.help/updates/marketplace-updates/2025-marketplace-updates/july-11th-2025-marketplace-update.md).

# July 11, 2025 - Marketplace Update

<details>

<summary><strong>New Crates and enhancements</strong></summary>

* No Crate releases this week.

</details>

<details>

<summary><strong>Bug fixes and chores</strong></summary>

* Alert on Expiring App Reg Secrets
  * Updated spelling from 'Organisation' to 'Organization' in the initial description field of the action.
* Microsoft: User Onboarding
  * Fixed "Time Taken" field in HaloPSA Update Ticket workflow being recorded in hours instead of minutes.
  * Fixed log message for `check_nable_mapping` action from Kaseya VSA to N-able N-central.
  * Fixed transition condition Jinja for `manual_license_required` action's 'No Licenses Purchased'.
  * Removed Jinja for Middle Name in the username field for the Onboarding form; changed field to auto-populate from the `middle_name` field in the form.
* Windows Patch Deployer
  * Fixed `List Operating Systems with Patches` workflow not generating options for certain RMMs like NinjaRMM due to mismatched device ID data types.
* Licensing Template
  * Added the missing `M365_DISC0VER_RESPOND` entry to both licensing templates.
* Alert on Login from Non-Native Country
  * Updated crate description to note that an Entra ID Premium P1 or P2 license is required to use this crate.
* Microsoft: User Offboarding
  * Modified Jinja for `remove_from_m365_group` action to output M365 groups even when on-prem groups are empty/null.
  * Added ability to set `Work Type` / `Billing Code ID` via org var in `Datto PSA: Update Ticket` workflow when adding time entry.
* Configure Organizational Variables
  * Replaced static options for Phone Number format with an options generator that supports default selection based on org variable.
  * Supported `Default Work Type` dropdown for Datto PSA.
* CW PSA: Pod Technician Toolbox v2
  * Removed default input variable value for username.
* CWM: Technician Toolbox via Pod
  * Removed unsupported/deprecated MFA action.

</details>

<details>

<summary><strong>Coming soon!</strong></summary>

* Refactor of Sync Last Logged-In Info to PSA Asset Crate
* Document BitLocker Recovery Keys (Bitlocker Management Crate Series)
* BitLocker Activation (Bitlocker Management Crate Series)

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.rewst.help/updates/marketplace-updates/2025-marketplace-updates/july-11th-2025-marketplace-update.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
